
<!-- Warning: This file has been autogenerated by tools/makedoc.py. Manual edits will be overwritten. -->
<html>
    <head>
        <title>freesmartphone.org Data World Interface</title>
        <link rel="stylesheet" type="text/css" href="http://git.freesmartphone.org/?p=specs.git;a=blob_plain;f=html/style.css;hb=HEAD" />
    </head>
    <body>
    <div class="topbox">freesmartphone.org Framework DBus Interface Specification</div>


<h1>org.freesmartphone.Data.World</h1><h2>Description</h2>
<p>The World interface is used to query (more or less static) information about  the communication world, such as countries and their timezones, mobile broadband  provider apns, etc.</p>
<h2>Namespace</h2>
<p><tt>org.freesmartphone.Data.World</tt></p>
<h2>Methods</h2><ul>
<li><a href="#GetAllCountries">GetAllCountries</a></li>
<li><a href="#GetCountryCodeForMccMnc">GetCountryCodeForMccMnc</a></li>
<li><a href="#GetTimezonesForCountryCode">GetTimezonesForCountryCode</a></li>
<li><a href="#GetApnsForMccMnc">GetApnsForMccMnc</a></li>
<li><a href="#GetProviderNameForMccMnc">GetProviderNameForMccMnc</a></li>
</ul>
<h2>Signals</h2><i>None</i>
<h2>Properties</h2><i>None</i>
<h2>Errors</h2><i>None</i>
<h1>Methods</h1><h3><a name="GetAllCountries">GetAllCountries</a> ( ) &rarr; a(ss)</h3>
<p><i>Description:</i> Retrieves all known country codes and their (english) name. </p><h4>Returns</h4><i>a(ss): countries</i><p>A list of country codes and their (english) names. </p>
<h3><a name="GetCountryCodeForMccMnc">GetCountryCodeForMccMnc</a> ( s ) &rarr; s</h3>
<p><i>Description:</i> Retrieve a country code for MCC or concatenated MCC and MNC.  Raises <a href="http://docs.freesmartphone.org/org.freesmartphone.Error.html#InvalidParameter">InvalidParameter</a> if not found. </p><h4>Parameters</h4><i>s: mcc_mnc</i><p>MCC or concatenated MCC and MNC. </p><h4>Returns</h4><i>s: country_code</i><p>The country code that owns the specified MCC (and MNC). </p>
<h3><a name="GetTimezonesForCountryCode">GetTimezonesForCountryCode</a> ( s ) &rarr; a{ss}</h3>
<p><i>Description:</i> Retrieves the list of timezones given a country code.  Raises <a href="http://docs.freesmartphone.org/org.freesmartphone.Error.html#InvalidParameter">InvalidParameter</a> if not found. </p><h4>Parameters</h4><i>s: country_code</i><p>The country code. </p><h4>Returns</h4><i>a{ss}: timezones</i><p>A dictionary of coordinates and timezone names. </p>
<h3><a name="GetApnsForMccMnc">GetApnsForMccMnc</a> ( s ) &rarr; a(ssssss)</h3>
<p><i>Description:</i> Retrieves a list of data connectivity (GPRS, EDGE, 3G)  access point names for MCC or concatenated MCC and MNC.  Raises <a href="http://docs.freesmartphone.org/org.freesmartphone.Error.html#InvalidParameter">InvalidParameter</a> if not found. </p><h4>Parameters</h4><i>s: mcc_mnc</i><p>MCC or concatenated MCC and MNC. </p><h4>Returns</h4><i>a(ssssss): apns</i><p>A list of six-tuples descriping a connectivity access point. Structure is: </p>
<h3><a name="GetProviderNameForMccMnc">GetProviderNameForMccMnc</a> ( s ) &rarr; s</h3>
<p><i>Description:</i> Retrieves the name of a provider for a supplied concatenated MCC and MNC.  Raises <a href="http://docs.freesmartphone.org/org.freesmartphone.Error.html#InvalidParameter">InvalidParameter</a> if not found. </p><h4>Parameters</h4><i>s: mcc_mnc</i><p>MCC or concatenated MCC and MNC. </p><h4>Returns</h4><i>s: provider</i><p>Name of the provider. </p>

    <hr/>
    <small>
    | Specified 2008-2012 by the <a href="http://www.freesmartphone.org">Freesmartphone.org</a> team. | Join us and discuss further drafts smartphones-standards (at) linuxtogo (dot) org
    </small>
    <hr/>
    </body>
</html>

